<?php

require_once "../app/model/db.class.php";

    $periodo=$_REQUEST['periodo'];

    $obj = new database();

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    


    $num_reg="select * from cursos_temporal where activar='1'";

    $result5 = $obj->consulta($num_reg);
    $numero = $obj->numero_de_filas($result5); // obtenemos el numero de registros

    if  ($numero!=0) {

         while($reg_ren = $obj->fetch_assoc($result5)){

         
              $obj->consulta("delete from rendimiento_academico_asign");

              // SOLO CONVIVENCIA

              $obj->consulta("insert into rendimiento_academico_asign ( grado, curso, nom_curso, nom_jornada, asignatura, nombre_asignatura)
                              SELECT curso_asignatura_profesor.grado, curso_asignatura_profesor.curso, cursos.descripcion AS nom_curso, jornadas.descripcion AS nom_jornada, curso_asignatura_profesor.asignatura, catalogo.descripcion AS nom_asignatura
                              FROM (jornadas INNER JOIN cursos ON jornadas.codigo = cursos.jornada) INNER JOIN (catalogo INNER JOIN curso_asignatura_profesor ON catalogo.codigo = curso_asignatura_profesor.asignatura) ON (cursos.codigo = curso_asignatura_profesor.curso) AND (cursos.grado = curso_asignatura_profesor.grado)
                              WHERE curso_asignatura_profesor.grado='".$reg_ren['grado']."' AND curso_asignatura_profesor.curso='".$reg_ren['codigo']."' AND catalogo.codigo='21.1' ORDER BY catalogo.orden");


              $obj->consulta("update rendimiento_academico_asign set periodo ='".$periodo."'");
              $obj->consulta("update rendimiento_academico_asign set sede ='".$reg_ren['sede']."'");
              $obj->consulta("update rendimiento_academico_asign set jornada ='".$reg_ren['jornada']."'");
                                       
             //---------------------------------------------------------
             //- ------ Numero de Estudiantes por Curso ----------------
             //- -------------------------------------------------------

            $resultado1=$obj->consulta("SELECT matriculas.grado, matriculas.curso FROM jornadas INNER JOIN (cursos INNER JOIN (matriculas INNER JOIN alumnos ON matriculas.codigo = alumnos.CODIGO) ON (cursos.grado = matriculas.grado) AND (cursos.codigo = matriculas.curso)) ON jornadas.codigo = cursos.jornada
                                        WHERE matriculas.grado='".$reg_ren['grado']."' AND matriculas.curso='".$reg_ren['codigo']."' AND matriculas.estado='A'");

            $n_alumnos=$obj->numero_de_filas($resultado1);

            $obj->consulta("update rendimiento_academico_asign set noalumnos =".$n_alumnos);


            

            //----------------------------------------
            //------- Calculamos diferentes valores---
            //----------------------------------------
            $query = $obj->consulta("select * from rendimiento_academico_asign");
          
            while($row = $obj->fetch_assoc($query)){

               //------- Hallamos el promedio de SOLO CONVIVENCIA -----

               if ($periodo !=5)

                   $promedio=$obj->consulta("SELECT Avg(detalleboletin.definitiva) AS promedio FROM matriculas INNER JOIN (catalogo INNER JOIN (boletin INNER JOIN detalleboletin ON boletin.numero = detalleboletin.boletin) ON catalogo.codigo = boletin.asignatura) ON matriculas.codigo = detalleboletin.alumno
                                             WHERE boletin.periodo='".$periodo."' AND boletin.grado='".$reg_ren['grado']."' AND boletin.curso='".$reg_ren['codigo']."' AND boletin.asignatura='".$row['asignatura']."' AND catalogo.codigo='21.1' AND matriculas.estado='A'");
               
               else
                   $promedio =$obj->consulta("SELECT Avg(definitiva) AS promedio FROM matriculas INNER JOIN (catalogo INNER JOIN notas_finales_asign ON catalogo.codigo = notas_finales_asign.asignatura) ON matriculas.codigo = notas_finales_asign.codigo
                                              WHERE catalogo.codigo='21.1' AND notas_finales_asign.grado='".$reg_ren['grado']."' AND notas_finales_asign.grupo='".$reg_ren['codigo']."' AND notas_finales_asign.asignatura='".$row['asignatura']."' AND matriculas.estado='A'");

               $row1 = $obj->fetch_assoc($promedio);

               if ($row1['promedio']==""){
                   $p=0;
               }
               else{
                  $p=$row1['promedio'];
               }
               $obj->consulta("update rendimiento_academico_asign set promedio ='".$p."' where asignatura='".$row['asignatura']."'");
                          
             }

             
              //---------- PROMEDIO DEL CURSO ------------------
              
               $promedio_curso=$obj->consulta("select avg(promedio) as promedio from rendimiento_academico_asign");
             
               $row2 = $obj->fetch_assoc($promedio_curso);

               if ($row2['promedio']==NULL)
                   $prom=0;
               else
                   $prom=$row2['promedio'];

               $obj->consulta("update rendimiento_academico_asign set promcurso =".$prom);

               


              //------- Hallamos el Nivel de Desempeño -----

              $nivel = $obj->consulta("select codigo,descripcion,inferior,v1,superior,v2 from rangos_convivencia");
              while($row3 = $obj->fetch_assoc($nivel)){
                    $obj->consulta("update rendimiento_academico_asign set nivel_desempeno='".$row3['descripcion']."' where promedio ".$row3['inferior'].$row3['v1']." and promedio ".$row3['superior'].$row3['v2']);
              }

              //------- Ordenamos Descendentemente por promedio -----
              
              $puesto = $obj->consulta("select asignatura,puesto from rendimiento_academico_asign order by promedio desc");

              $i=1;
              while($row4 = $obj->fetch_assoc($puesto)){
                    $obj->consulta("update rendimiento_academico_asign set puesto=".$i++);

              }

              //-------- Insertamos registros en la tabla rendimiento_general_asign ---------- 

              $obj->consulta("delete from rendimiento_general_asign where asignatura='21' and periodo='".$periodo."' and grado='".$reg_ren['grado']."' and curso='".$reg_ren['codigo']."'");
              $obj->consulta("insert into rendimiento_general_asign select * from rendimiento_academico_asign");

       }
   }

    $obj->disconnect();

   echo "PROCESO FINALIZADO";

?>
